package com.cool.store.utils;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * @author leoxie
 */
public class Post {

    /**
     * 向指定 URL 发送POST方法的请求
     * @param url 发送请求的 URL
     * @param data 请求参数，请求参数应该是 name1=value1&name2=value2 的形式。
     * @return 所代表远程资源的响应结果
     */
    public static String send(String url, String data,HashMap<String,String> headers) throws IOException {
        Client client = new Client();
        client.setData(data);
        client.setUrl(url);

        HashMap<String, String> headerMap = new HashMap<>(16);
        headerMap.put("Content-Type","application/x-www-form-urlencoded");

        //添加头部信息
        if(!headers.isEmpty()){
            for (Map.Entry<String,String> entry:headers.entrySet()) {
                headerMap.put(entry.getKey(),entry.getValue());
            }
        }
        client.setHeader(headerMap);

        return client.exec();
    }

}
